allprojects {
    tasks.withType(org.jetbrains.kotlin.gradle.tasks.KotlinCompilationTask).configureEach {
        // Metodo universale per sopprimere i warning come errori
        kotlinOptions {
            allWarningsAsErrors = false
            freeCompilerArgs += ["-nowarn", "-Xsuppress-version-warnings"]
        }
    }
}